[B057] Bull eyes plot
Obtain bull eyes plot
By default, the criteria involving organization, targets, disease, and drug types use a Roll-Up logic.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
Required | integer<int64> | 10 | Limit, default 10. The value is an enum with the following values: 10, 20, 30 |
Required | string | ORGANIZATION | dimension. The value is an enum with the following values: ORGANIZATION, TARGET, DISEASE, DRUG_TYPE, REGION |
| boolean | true | Perform roll-up on analysis results only for the dimension 'ORGANIZATION' (default: true). |
| object | {
"value": [
"2838b95ade834c96b17ac8bcd2b68c27"
],
"condition": "OR"
} | Drug, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"2838b95ade834c96b17ac8bcd2b68c27"
] | Value List |
| object | {
"value": [],
"condition": "OR"
} | Drug Type, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [] | Value List |
| object | {
"value": [],
"condition": "OR"
} | Target, The "condition" field defaults to OR and support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [] | Value List |
| object | {
"value": [],
"condition": "OR"
} | Mechanism, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [] | Value List |
| object | {
"value": [],
"condition": "OR"
} | Indication, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [] | Value List |
| object | {
"value": [
"11ef8a9e8bf5ca80213a1183511cded3"
],
"condition": "OR"
} | Organization, The "condition" field defaults to OR and does not support AND. |
| string | OR | Logical operators, The value is an enum with the following values:AND,OR. Case-sensitive. |
| array | [
"11ef8a9e8bf5ca80213a1183511cded3"
] | Value List |
| array | [] | Drug Highest Phase. The value is an enum with the following values: Discovery, Preclinical, IND, IND_Approval, Early_Phase_1, Phase_1, Phase_1_2, Phase_2, Phase_2_3, Phase_3, NDA_BLA, Approved, Clinical, Pending, Discontinued, Withdraw, Suspended, Unknown. |
| boolean | true | Whether Drug Deal Exist |
| array | [] | Phase(By Indication). The value is an enum with the following values: Discovery, Preclinical, IND, IND_Approval, Early_Phase_1, Phase_1, Phase_1_2, Phase_2, Phase_2_3, Phase_3, NDA_BLA, Approved, Clinical, Pending, Discontinued, Withdraw, Suspended, Unknown. |
| array | [
"US",
"EU"
] | Phase(By Indication). The value is an enum with the following values: US, EU, JP, CN, Other |
| array | [
"Company"
] | Organization Type. The value is an enum with the following values: Company, University_Institution, Other |
| array | [
"GREATER_THAN_500"
] | Employee Number. The value is an enum with the following values: LESS_THAN_10, BETWEEN_10_AND_100, BETWEEN_100_AND_500, GREATER_THAN_500 |
| boolean | - | Whether Start-Up Organization |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
items | array | Please check the form:BullEyesPlotDto | result items |
data | array | Please check the form:BullEyesPlotDto | Bull eyes result items |
drug | array | [
{
"drug_id": "07bf6b38be634718897783feeabef441",
"drug_type": {
"display_name": [
{
"lang": "EN",
"name": "Biological products"
},
{
"lang": "CN",
"name": "生物药"
}
],
"normalized_id": "06bc75afc2f44364a9663730fa37c37a"
},
"display_name": [
{
"lang": "EN",
"name": "VRON-0200"
}
]
},
{
"drug_id": "e4cbc3790c5d4f299e8cd765585033ad",
"drug_type": {
"display_name": [
{
"lang": "EN",
"name": "Biological products"
},
{
"lang": "CN",
"name": "生物药"
}
],
"normalized_id": "06bc75afc2f44364a9663730fa37c37a"
},
"display_name": [
{
"lang": "EN",
"name": "Anti-EGFR/IL-13R alpha 2 CAR-T cell therapy(Tmunity Therapeutics/University of Pennsylvania)"
}
]
}
] | Dev information |
drug_id | string | e82b83b42eba4e5ea3f26f8e06081a5a | Drug ID |
drug_type | object | {
"display_name": [
{
"lang": "EN",
"name": "Biological products"
},
{
"lang": "CN",
"name": "生物药"
}
],
"normalized_id": "06bc75afc2f44364a9663730fa37c37a"
} | Drug Type, Referencing "CommonDictionary" |
display_name | array | [
{
"lang": "EN",
"name": "Autologous CAR-T"
},
{
"lang": "CN",
"name": "自体CAR-T"
}
] | Dict Name |
lang | string | EN | Language |
name | string | Ranibizumab (Genentech) | Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name |
normalized_id | string | 2fbfdb3e92d942c48cbb0adb79f23526 | Dict ID |
display_name | array | [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
},
{
"lang": "CN",
"name": "雷珠单抗"
}
] | Drug Name, Referencing "CommonName" |
un_know | array | [
"e4cbc3790c5d4f299e8cd765585033ad"
] | Related Drug ID without drug type |
stat_info | object | {
"drug_type": [
{
"display_name": [
{
"lang": "EN",
"name": "Biological products"
},
{
"lang": "CN",
"name": "生物药"
}
],
"normalized_id": "06bc75afc2f44364a9663730fa37c37a"
}
]
} | Statistical information |
drug_type | array | [
{
"display_name": [
{
"lang": "EN",
"name": "Biological products"
},
{
"lang": "CN",
"name": "生物药"
}
],
"normalized_id": "06bc75afc2f44364a9663730fa37c37a"
}
] | Drug Type, Referencing "CommonDictionary" |
dev_status | object | {
"display_name": [
{
"lang": "EN",
"name": "Phase 1"
},
{
"lang": "CN",
"name": "临床1期"
}
],
"normalized_id": "e2c11c24a7ee4b4e81bbde9eb7127c6d"
} | Dev Status, Referencing "CommonDictionary" |
related_drug_id | array | [
"07bf6b38be634718897783feeabef441"
] | Related Drug ID |
target | object | [
{
"target_id": "e49efee164e537c2a4ba9cec109e0adb",
"short_name": [
{
"lang": "EN",
"name": "BCMA"
}
],
"display_name": [
{
"lang": "EN",
"name": "B-cell maturation protein"
},
{
"lang": "CN",
"name": "B细胞成熟蛋白"
}
]
}
] | Target, Referencing "CommonTarget" |
target_id | string | 1c2067e5ab054a8995f73efcfcf56207 | Target ID |
short_name | array | [
{
"lang": "EN",
"name": "VEGF"
}
] | Target Short Name, Referencing "CommonName" |
display_name | array | [
{
"lang": "EN",
"name": "Vascular endothelial growth factor"
},
{
"lang": "CN",
"name": "血管内皮生长因子"
}
] | Target Full Name, Referencing "CommonName" |
country | object | {
"country_id": "0dc5d896-7408-3c87-84c0-22e3d9b784be",
"alpha2_code": "US",
"display_name": [
{
"lang": "EN",
"name": "United States"
},
{
"lang": "CN",
"name": "美国"
}
]
} | Country/Region, Referencing "CommonCountry" |
country_id | string | 676de5ba-893a-36bb-8683-c93306aaf769 | Country/Location ID |
alpha2_code | string | US | Alpha Code |
display_name | array | [
{
"lang": "EN",
"name": "United States"
},
{
"lang": "CN",
"name": "美国"
}
] | Country/Location Name |
disease | object | {
"disease_id": "05554578204541148a5482ad5df4a600",
"display_name": [
{
"lang": "EN",
"name": "Glioblastoma Multiforme"
},
{
"lang": "CN",
"name": "多形性胶质母细胞瘤"
}
]
} | Indication, Referencing "CommonDisease" |
disease_id | string | 06a9082fe1ec4c97bea31d888b9cfdce | Disease ID |
display_name | array | [
{
"lang": "EN",
"name": "Uveitic Macular Edema"
},
{
"lang": "CN",
"name": "葡萄膜炎黄斑水肿"
}
] | Disease Name, Referencing "CommonName" |
drug_type | object | {
"display_name": [
{
"lang": "EN",
"name": "CAR-T"
},
{
"lang": "CN",
"name": "CAR-T"
}
],
"normalized_id": "e9f267acd397430897163507bc9d735d"
} | Drug Type, Referencing "CommonDictionary" |
organization | object | {
"organization": {
"display_name": [
{
"lang": "EN",
"name": "Hrain Biotechnology Co., Ltd."
},
{
"lang": "CN",
"name": "上海恒润达生生物科技股份有限公司"
}
],
"organization_id": "b4c624212749f84e83429c5a8673c692"
}
} | Organization, Referencing "CommonOrganization" |
display_name | array | [
{
"lang": "EN",
"name": "Roche Holding AG"
},
{
"lang": "CN",
"name": "罗氏"
}
] | Organization Name, Referencing "CommonName" |
organization_id | string | 87bfaf037f8e60c9e25595cd98bb27e4 | Organization ID |
dimension | string | ORGANIZATION | dimension |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"items": [
{
"data": [
{
"drug": [
{
"drug_id": "e82b83b42eba4e5ea3f26f8e06081a5a",
"drug_type": {
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
},
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
}
],
"un_know": [
"e4cbc3790c5d4f299e8cd765585033ad"
],
"stat_info": {
"drug_type": [
{
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
}
]
},
"dev_status": {
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
},
"related_drug_id": [
"07bf6b38be634718897783feeabef441"
]
}
],
"target": {
"target_id": "1c2067e5ab054a8995f73efcfcf56207",
"short_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
},
"country": {
"country_id": "676de5ba-893a-36bb-8683-c93306aaf769",
"alpha2_code": "US",
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
},
"disease": {
"disease_id": "06a9082fe1ec4c97bea31d888b9cfdce",
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
]
},
"drug_type": {
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
},
"organization": {
"display_name": [
{
"lang": "EN",
"name": "Ranibizumab (Genentech)"
}
],
"organization_id": "87bfaf037f8e60c9e25595cd98bb27e4"
}
}
],
"dimension": "ORGANIZATION"
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |